Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.corbaloc
Class _CorbalocServiceStub

    java.lang.Object
      |
      +--org.omg.CORBA.portable.ObjectImpl
            |
            +--org.openorb.corbaloc._CorbalocServiceStub

All Implemented Interfaces:
  CorbalocService, CorbalocServiceOperations, IDLEntity, Object, java.io.Serializable

public class _CorbalocServiceStub
extends ObjectImpl
implements CorbalocService

The initial references service. Used for registering references to be resolved as corbaloc addresses.

See Also:
  Serialized Form

Constructor Summary
`_CorbalocServiceStub()`

Method Summary
`java.lang.String[]` | `_ids()`
`Object` | `get(java.lang.String initRef)` Operation get
`java.lang.String` | `put_object(Object object, java.lang.String path)` Operation put_object
`void` | `put(java.lang.String initRef, Object obj)` Operation put
`void` | `register(byte[] key, Object obj)` Operation register
`Object` | `resolve(byte[] key)` Operation resolve

Methods inherited from class org.omg.CORBA.portable.ObjectImpl
`_create_request, _create_request, _duplicate, _get_delegate, _get_domain_managers, _get_interface_def, _get_interface, _get_policy, _hash, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_delegate, _set_policy_override, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.omg.CORBA.Object
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_interface, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Constructor Detail

### _CorbalocServiceStub

    public _CorbalocServiceStub()

Method Detail

### _ids

    public java.lang.String[] _ids()

  Overrides:
    `_ids` in class `ObjectImpl`

### get

    public Object get(java.lang.String initRef)

  Operation get
  Specified by:
    `get` in interface `CorbalocServiceOperations`
  Following copied from interface: `org.openorb.corbaloc.CorbalocServiceOperations`
  Parameters:
    `initRef` - String name of initial reference. Should be RFC2396 encoded.
  Returns:
    the target object.
  Throws:
    `BAD_PARAM` - if the initial reference does not exist.

### put

    public void put(java.lang.String initRef,
                    Object obj)

  Operation put
  Specified by:
    `put` in interface `CorbalocServiceOperations`
  Following copied from interface: `org.openorb.corbaloc.CorbalocServiceOperations`
  Parameters:
    `initRef` - String name of initial reference. Should be RFC2396 encoded.
    `obj` - the target object.
  Throws:
    `BAD_PARAM` - if the initial reference already exists.

### put_object

    public java.lang.String put_object(Object object,
                                       java.lang.String path)

  Operation put_object
  Specified by:
    `put_object` in interface `CorbalocServiceOperations`
  Following copied from interface: `org.openorb.corbaloc.CorbalocServiceOperations`
  Parameters:
    `path` - String name of initial reference. Should be RFC2396 encoded.
    `object` - the object to register
  Returns:
    String the corbaloc URL
  Throws:
    `BAD_PARAM` - if the supplied object is null.

### resolve

    public Object resolve(byte[] key)

  Operation resolve
  Specified by:
    `resolve` in interface `CorbalocServiceOperations`
  Following copied from interface: `org.openorb.corbaloc.CorbalocServiceOperations`
  Parameters:
    `key` - Initial reference key.
  Returns:
    the target object.
  Throws:
    `BAD_PARAM` - if the initial reference does not exist.

### register

    public void register(byte[] key,
                         Object obj)

  Operation register
  Specified by:
    `register` in interface `CorbalocServiceOperations`
  Following copied from interface: `org.openorb.corbaloc.CorbalocServiceOperations`
  Parameters:
    `initRef` - String name of initial reference. Should be RFC2396 encoded.
    `obj` - the target object. Null to unbind.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD